Subject: bug#42174: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Apr 2025 10:13:02 +0000

Your bug report

#42174: GNU Icecat showing Github Icons?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42174: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42174
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Wed, 2 Apr 2025 12:12:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this old bug, as there does not seem to be anything we can do.

Andreas

Subject: GNU Icecat showing Github Icons?
From: Pablo Barraza Cornejo <[email-masked]>
To: [email-masked]
Date: Fri, 03 Jul 2020 01:07:44 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

So, I'm currently trying to install Icecat with the Guix Package 
manager, running on Manjaro, and everytime I try to launch it most 
letters show up as Github icons. If I launch it from the terminal 
I get this:

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143036): 
Pango-WARNING **: 07:04:07.363: failed to create cairo scaled 
font, expect ugly output. the offending font is 'DejaVu Sans 
9.9990234375'

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143036): 
Pango-WARN
ING **: 07:04:07.363: font_face status is: file not found

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143036): 
Pango-WARN
ING **: 07:04:07.363: scaled_font status is: file not found

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143036): 
Pango-WARN
ING **: 07:04:07.368: failed to create cairo scaled font, expect 
ugly output. the offending font is 'DejaVu Sans 9.895
5078125'

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143036): 
Pango-WARN
ING **: 07:04:07.368: font_face status is: file not found

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143036): 
Pango-WARN
ING **: 07:04:07.368: scaled_font status is: file not found
JavaScript error: 
resource:///modules/sessionstore/SessionStore.jsm, line 1325: 
uncaught exception: 2147746065

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143077): 
Pango-WARN
ING **: 07:04:08.322: failed to create cairo scaled font, expect 
ugly output. the offending font is 'DejaVu Sans 9.999
0234375'

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143077): 
Pango-WARN
ING **: 07:04:08.322: font_face status is: file not found

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143077): 
Pango-WARN
ING **: 07:04:08.322: scaled_font status is: file not found

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143077): 
Pango-WARN
ING **: 07:04:08.338: failed to create cairo scaled font, expect 
ugly output. the offending font is 'DejaVu Sans 9.895
5078125'

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143077): 
Pango-WARN
ING **: 07:04:08.338: font_face status is: file not found

(/gnu/store/5jxv1hvbz0s41nv5y1ip5kfijskapq3c-icecat-68.10.0-guix0-preview1/lib/icecat/.icecat-real:143077): 
Pango-WARN
ING **: 07:04:08.338: scaled_font status is: file not found

Any help would be appreciated.